Name: hyphen-de
Summary: German hyphenation rules
%define upstreamid 20060120
Version: 0.%{upstreamid}
Release: 2%{?dist}
Source: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/hyph_de_DE.zip
Group: Applications/Text
URL: http://wiki.services.openoffice.org/wiki/Dictionaries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
License: LGPLv2+
BuildArch: noarch
Requires: hyphen

%description
German hyphenation rules.

%prep
%setup -q -c -n hyphen-de

%build
iconv -f ISO-8859-1 -t UTF-8 README_hyph_de_DE.txt > README_hyph_de_DE.txt.new
mv -f README_hyph_de_DE.txt.new README_hyph_de_DE.txt

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/hyphen
cp -p hyph_de_DE.dic $RPM_BUILD_ROOT/%{_datadir}/hyphen

pushd $RPM_BUILD_ROOT/%{_datadir}/hyphen/
de_DE_aliases="de_AT de_BE de_CH de_LI de_LU"
for lang in $de_DE_aliases; do
        ln -s hyph_de_DE.dic hyph_$lang.dic
done
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README_hyph_de_DE.txt
%{_datadir}/hyphen/*

%changelog
* Sun Nov 25 2007 Caolan McNamara <caolanm@redhat.com> - 0.20060120-2
- fix license

* Fri Nov 23 2007 Caolan McNamara <caolanm@redhat.com> - 0.20060120-1
- initial version
